---
kind: pipeline
type: docker
name: default

workspace:
  base: /go
  path: src/dn42regsrv

steps:

 - name: build
   image: golang
   commands:
    - go build
    
 - name: release
   image: plugins/gitea-release
   settings:
     api_key:
       from_secret: gitea_token
     base_url: https://git.burble.dn42
     files:
      - pipeline-test
     checksum:
      - sha512
   when:
     event: tag
      
